#include <iostream>
#include <math.h>
#include <cstdlib>
using namespace std;

int brojManjih(int niz[], int n, int x)
{
    int br = 0;
    for(int i=0; i<n; i++)
        if(niz[i] < x)
            br++;
    return br;
}

int brojVecih(int niz[], int n, int x)
{
    int br = 0;
    for(int i=0; i<n; i++)
        if(niz[i] > x)
            br++;
    return br;
}

int brojJednakih(int niz[], int n, int x)
{
    int br = 0;
    for(int i=0; i<n; i++)
        if(niz[i] == x)
            br++;
    return br;
}

int main()
{
    int i, n, q;
    cin >> n >> q;
    int a[n];
    int b[q];
    int ans[q];
    for(i=0; i<n; i++)
    {
        cin >> a[i];
        ans[i] = 0;
    }
    for(i=0; i<q; i++)
    {
        cin >> b[i];
    }
    for(i=0; i<q; i++)
    {
        int manji, veci, jednaki;
        manji = brojManjih(a, n, b[i]);
        veci = brojVecih(a, n, b[i]);
        jednaki = brojJednakih(a, n, b[i]);

        if((jednaki == 0) && (veci == n))
        {
            ans[i] = n + 1;
            continue;
        }
        else if((jednaki!= 0) && (veci > manji))
        {
            ans[i] = veci - manji - jednaki;
            continue;
        }
        else if((jednaki == 0) && (manji > veci) )
        {
            ans[i] = manji - veci;
            continue;
        }
        else if((jednaki == 0) && (veci > manji))
        {
            ans[i] = veci - manji + 1;
            continue;
        }
        else if(manji < veci)
        {
            ans[i] = veci - manji - 1 - jednaki;
            continue;
        }
        else if(manji > veci)
        {
            ans[i] = manji - veci - jednaki;
            continue;
        }
        else if((manji == veci) && jednaki == 0)
        {
            ans[i] = 1;
            continue;
        }
        else
            continue;
    }

    for(i=0; i<q; i++)
        cout << ans[i] << endl;

    return 0;
}